#(ie. use with rpm --rebuild):
#
#	--with debug	Compile with debugging code
#
# enable build with debugging code: will _not_ strip away any debugging code,
# will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to
# configure.

# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define build_debug 0
%define build_test 0
%define build_oqgraph 0

# command-line overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_debug: %{expand: %%define build_debug 1}}
%{?_with_test: %{expand: %%define build_test 1}}
%{?_without_test: %global build_test 0}
%{?_with_oqgraph: %{expand: %%define build_oqgraph 1}}
%{?_without_oqgraph: %global build_oqgraph 0}

#if defined,don't extract debug info, which will speedup the built process. Not commenting does not help. It has to be deactivated. Via removing percent.
#global __debug_install_post /bin/true

%ifarch %mips %arm %ix86 x86_64 aarch64
%bcond_with	java
%else
%bcond_without	java
%endif

%if %{build_debug}
# disable build root strip policy
%define __spec_install_post %{_libdir}/rpm/brp-compress || :

# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{build_debug}
%define build_debug 1
%endif

%if %{build_test}
%define build_test 1
%endif

%if %{build_oqgraph}
%define build_oqgraph 1
%endif

%define major 3
%define libname %mklibname mariadb %{major}
%define develname %mklibname -d mariadb

%define mariadbdmajor 19
%define libmariadbembedded %mklibname mariadbd %{mariadbdmajor}
%define libmariadbembedded_devel %mklibname -d mariadb-embedded

%define muser	mysql

# rule out some useless autodeps in the test suite
%global __requires_exclude perl\\(th|perl\\(lib|perl\\(mtr|perl\\(My
%global __provides_exclude perl\\(th|perl\\(lib|perl\\(mtr|perl\\(My

Summary:	A very fast and reliable SQL database engine
Name:		mariadb
Version:	10.11.4
Release:	%mkrel 2
Group:		Databases
License:	GPLv2 with exceptions
URL:		https://mariadb.org/
Source0:	https://downloads.mariadb.org/rest-api/mariadb/%{version}/mariadb-%{version}.tar.gz
Source3:	my.cnf
Source4:	server.cnf
Source5:	client.cnf
Source6:	mysql-clients.cnf
Source10:	mysql.tmpfiles.d
Source11:	mysqld.service
Source12:	mysqld-prepare-db-dir

# Skip some tests failing on BS
Source40:	mga-skipped-tests-base.list

# config files to load plugins, note these files are processed by expand, line 678
Source50:	auth_pam.cnf
Source51:	auth_socket.cnf
Source52:	ha_archive.cnf
Source53:	ha_blackhole.cnf
Source54:	ha_cassandra.cnf
Source55:	ha_connect.cnf
Source56:	ha_federatedx.cnf
Source57:	handlersocket.cnf
Source58:	ha_oqgraph.cnf
Source59:	ha_sequence.cnf
Source60:	ha_sphinx.cnf
Source61:	ha_spider.cnf
Source62:	locales.cnf
Source63:	metadata_lock_info.cnf
Source64:	query_cache_info.cnf
Source65:	query_response_time.cnf
Source66:	disks.cnf
Source67:	ha_mroonga.cnf
Source68:	sql_errlog.cnf
Source69:	feedback.cnf
Source70:	ha_innodb.cnf
Source71:	server_audit.cnf
Source72:	auth_gssapi.cnf

# the following patches are rediffed from the mysql-5.5 src.rpm to mariadb-5.5
# fedora patches

# mandriva patches
Patch101:	mariadb-5.5-logrotate.patch
Patch106:	mariadb-5.5-hotcopy.patch
Patch107:	mariadb-5.5-mysql_install_db-quiet.patch
#remove setting ownership of system install files
Patch108:	mysql_install_db.patch

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): %{name}-common = %{version}-%{release}
Requires(preun): %{name}-common = %{version}-%{release}
Requires(post): %{name}-client = %{version}-%{release}
Requires(preun): %{name}-client = %{version}-%{release}
Requires(postun): %{name}-common = %{version}-%{release}
Requires(postun): %{name}-client = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}
Requires:	%{name}-core = %{version}-%{release}
Requires:	%{name}-client = %{version}-%{release}
Provides:	mysql = %{version}-%{release}
Conflicts:	%{name}-bench < 10.4.11-2
Conflicts:	%{name}-extra < %{version}-%{release}
Conflicts:	%{name}-feedback < %{version}-%{release}
Conflicts:	%{name}-obsolete < %{version}-%{release}
Recommends:	%{name}-extra
BuildConflicts:	edit-devel
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	cmake(msgpack)
BuildRequires:	doxygen
BuildRequires:	glibc-devel
BuildRequires:	glibc-devel
BuildRequires:	icu-devel
BuildRequires:	libaio-devel
BuildRequires:	libaio-devel
BuildRequires:	libcrack-devel
BuildRequires:	liblzo-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtermcap-devel
BuildRequires:	lzma-devel
BuildRequires:	mercurial
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(fmt)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libpcre2-8)
BuildRequires:	pkgconfig(libpcre2-posix)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libzmq)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(odbc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	systemtap
BuildRequires:	systemtap-sdt-devel
BuildRequires:	texinfo
BuildRequires:	wrap-devel
BuildRequires:	xfs-devel
# use system jemalloc libs instead of bundled ones
BuildRequires:	pkgconfig(jemalloc)
%if %{build_oqgraph}
# required by oqgraph v3
BuildRequires:	boost-devel
BuildRequires:	judy-devel
%endif
%if %with java
# required by cassandra
BuildRequires:	pkgconfig(thrift)
%endif

%description
The MariaDB software delivers a very fast, multi-threaded, multi-user, and
robust SQL (Structured Query Language) database server. MariaDB Server is
intended for mission-critical, heavy-load production systems as well as for
embedding into mass-deployed software.

The mariadb server is compiled with the following storage engines:

 - Aria Storage Engine
 - Archive Storage Engine
 - Blackhole Storage Engine
 - CSV Storage Engine
 - FederatedX Storage Engine (Federated replacement)
 - Heap Storage Engine
 - MyISAM Storage Engine
 - MyISAMMRG Storage Engine
 - Partition Storage Engine
 - Perfschema Storage Engine
 - Percona XtraDB Storage Engine (InnoDB replacement)

A multitude of storage engines and handlers are being provided in separate sub
packages such as:

%if %with java
mariadb-cassandra	- Cassandra Storage Engine
%endif
mariadb-feedback	- Feedback Storage Engine
mariadb-oqgraph		- Open Query GRAPH computation engine
mariadb-connect		- CONNECT handler
mariadb-sphinx		- Sphinx Storage Engine
mariadb-sequence	- Sequence Storage Engine
mariadb-spider		- Spider Storage Engine
mariadb-rocks			- RocksDB Storage Engine

The following extra storage engines are provided by the mariadb-extra package

 - handlersocket
 - query_cache_info

The following storage engines are provided in the mariadb-obsolete package

 - Federated Storage Engine

%package -n	mysql-MariaDB
Summary:	A MySQL drop-in replacement
Group:		System/Servers
Requires:	%{name}

%description -n	mysql-MariaDB
MariaDB is a complete MySQL drop-in replacement with additional fixes and
storage engines.

This package is used as a transitional virtual package, which requires
MariaDB so that people who used to use mysql can find it nicely.

%if %with java
%package	cassandra
Summary:	Cassandra Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	cassandra
The Cassandra Storage Engine allows access to data in a Cassandra cluster from
MariaDB.
%endif

%package	feedback
Summary:	Feedback storage engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	feedback
MariaDB feedback storage engine submits feedback about your mariadb server.
Results can be seen on https://mariadb.org/feedback_plugin/ .

%if %{build_oqgraph}
%package	oqgraph
Summary:	Open Query GRAPH computation engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}
Conflicts:	mariadb-extra < 10.0.7

%description	oqgraph
The Open Query GRAPH computation engine allows you to handle hierarchies
(tree structures) and complex graphs (nodes having many connections in
several directions).
%endif

%package	connect
Summary:	CONNECT handler
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	connect
The CONNECT handler enables MariaDB to access external local or remote data.
This is done by defining tables based on different data types, in particular
files of various format, data extracted from other products (such as Excel),
or data retrieved from the environment (for example DIR, WMI, and MAC tables).

This handler supports MariaDB virtual columns and also permits to define
“special” columns such as ROWID and FILEID.

%package	sphinx
Summary:	Sphinx Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}
Conflicts:	mariadb-extra < 10.0.7
Recommends:	sphinx >= 2.1.5

%description	sphinx
SphinxSE is a storage engine that talks to searchd (Sphinx daemon) to enable
full text searching.

%package		s3-engine
Summary:		The S3 storage engine for MariaDB
Requires:		%{name}-common-core >= %{version}-%{release}
BuildRequires:	curl-devel

%description      s3-engine
The S3 read only storage engine allows archiving MariaDB tables in Amazon S3,
or any third-party public or private cloud that implements S3 API,
but still have them accessible for reading in MariaDB.

%package	mroonga
Summary:	Mroonga Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	mroonga
Mroonga is a storage engine for MySQL. It provides fast fulltext search feature
to all MySQL users. Mroonga was called Groonga storage engine.

%package	sequence
Summary:	Sequence Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	sequence
A Sequence engine allows the creation of ascending or descending sequences of
numbers with a given starting value, ending value and increment.

It creates completely virtual, ephemeral tables automatically when you need
them. There is no way to create a Sequence table explicitly. Nor are they ever
written to disk or create .frm files. They are read-only, transactional, and
support XA.

%package	spider
Summary:	Spider Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	spider
The Spider storage engine supports partitioning and xa transactions, and allows
tables of different MariaDB instances to be handled as if they were on the same
instance.

%ifarch %arm x86_64 aarch64
%package	rocks
Summary:	Rocks Storage Engine
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}
%description	rocks
MyRocks is an open source storage engine that was originally developed by
Facebook.

MyRocks has been extended by the MariaDB engineering team to be a pluggable
storage engine that you use in your MariaDB solutions. It works seamlessly
with MariaDB features. This openness in the storage layer allows you to use the
 right storage engine to optimize your usage requirements, which provides
 optimum performance. Community contributions are one of MariaDB’s greatest
 advantages over other databases. Under the lead of our developer Sergey
 Petrunia, MyRocks in MariaDB is constantly being merged with upstream MyRocks
 from Facebook.
%endif

%package	extra
Summary:	MariaDB extra storage engines
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}

%description	extra
This package provides various storage engines/handlers such as:

 - handlersocket
 - query_cache_info

%package	obsolete
Summary:	MariaDB obsolete storage engines
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Conflicts:	%{name}-common-core < %{version}-%{release}
Conflicts:	mysql-core < 5.5.18

%description	obsolete
MariaDB obsolete storage engines. Federated are being replaced by XtraDB and
FederatedX storage engines. These obsolete storage engines are provided in
case you need the vanilla mysql storage engines.

%package	core
Summary:	Server core binary
Group:		System/Servers
Requires:	%{name}-common-core >= %{version}-%{release}
Provides:	mysql-core = %{version}-%{release}

%description	core
Core mysqld server binary. For a full MariaDB database server, install
package 'mariadb'.

%package	common-core
Summary:	Common files required by core binary
Group:		System/Servers
Requires:	%{name}-common >= %{version}-%{release}
Provides:	mysql-common-core = %{version}-%{release}

%description	common-core
Common files minimally required by mysqld server binary.

%package	common
Summary:	Common files
Group:		System/Servers
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): %{name}-client >= %{version}-%{release}
Requires(preun): %{name}-client >= %{version}-%{release}
Requires:	%{name}-client >= %{version}-%{release}
Requires:	perl(Term::ReadKey)
Requires: perl(DBD::MariaDB)
Provides:	mysql-common = %{version}-%{release}

%description	common
Common files for the MariaDB database server.

%package	client
Summary:	Client
Group:		Databases
Requires(post): %{libname} >= %{version}-%{release}
Requires(preun): %{libname} >= %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}
Provides:	mysql-client = %{version}-%{release}

%description	client
This package contains the standard MariaDB clients.

%package	bench
Summary:	Benchmarks and test system
Group:		System/Servers
Requires(post): %{name}-client >= %{version}-%{release}
Requires(preun): %{name}-client >= %{version}-%{release}
Requires:	%{name}-client >= %{version}-%{release}
Recommends:	%{name} >= %{version}-%{release}
Provides:	mysql-bench = %{version}-%{release}
Conflicts:	mariadb < 10.0.7

%description	bench
This package contains MariaDB benchmark scripts and data.

%package pam
Summary:	PAM authentication plugin
Group:	System/Servers
URL:	https://mariadb.com/kb/en/authentication-plugin-pam/
Requires:	%{name}

%description pam
The pam authentication plugin allows MariaDB to offload user authentication to
the system's Pluggable Authentication Module (PAM) framework.

%package -n	%{libname}
Summary:	Shared libraries
Group:		System/Libraries
Provides:	%{name}-shared-libs = %{version}-%{release}
Provides:	%{name}-shared = %{version}-%{release}
Conflicts:	%{_lib}mariadb-devel < 10.2.11-9
Obsoletes:	mariadb-connector-c < 3.3.3-2

%description -n	%{libname}
This package contains the shared libraries (*.so*) which certain languages and
applications need to dynamically load and use MariaDB.

%package -n	%{develname}
Summary:	Development header files and libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	mysql-devel = %{version}-%{release}
Obsoletes:	mariadb-connector-c-devel < 3.3.3-2
Obsoletes:	mariadb-connector-c-doc < 3.3.3-2

%description -n	%{develname}
This package contains the development header files and libraries necessary to
develop MariaDB client applications.

%package -n 	%{libmariadbembedded}
Summary:	MariaDB as an embeddable library
Group:		System/Libraries
Provides:	%{name}-embedded = %{version}-%{release}
Obsoletes:	%{_lib}mariadb-embedded19 < 10.2.11-9
Obsoletes:	%{_lib}mariadb19 < 10.2.11-9
Conflicts:	%{_lib}mariadb3 < 10.3.8-3

%description -n %{libmariadbembedded}
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains a version of the MariaDB server that can be embedded
into a client application instead of running as a separate process.

The API is identical for the embedded MariaDB version and the client/server
version.

%package -n 	%{libmariadbembedded_devel}
Summary:	Development files for MySQL as an embeddable library
Group:		Development/Other
Requires:	%{libmariadbembedded} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	%{name}-embedded-devel = %{version}-%{release}
Provides:	mysql-embedded-devel = %{version}-%{release}
Conflicts:	mariadb-bench < %{version}-%{release}
Conflicts:	%{_lib}mysqld19 >= 10.3.8-1
Conflicts:	%{_lib}mariadb-devel < 10.3.8-3

%description -n %{libmariadbembedded_devel}
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains files needed for developing and testing with
the embedded version of the MariaDB server.

The API is identical for the embedded MariaDB version and the client/server
version.


%prep
%autosetup -S hg
# no bundled pcre
rm -rf pcre

mkdir -p Mageia
cp %{SOURCE3} Mageia/my.cnf
cp %{SOURCE4} Mageia/
cp %{SOURCE5} Mageia/
cp %{SOURCE6} Mageia/

# remove the sql_yacc.cc file so that bison will regenerate it properly, even if it's patched
rm -f sql/sql_yacc.cc

#no macos
rm -rf support-files/MacOSX

# lib64 fix
perl -pi -e "s|/usr/lib/|%{_libdir}/|g" Mageia/server.cnf

# antiborker
perl -pi -e "s|\@bindir\@|%{_bindir}|g" support-files/* scripts/*
perl -pi -e "s|\@sbindir\@|%{_sbindir}|g" support-files/* scripts/*
perl -pi -e "s|\@libexecdir\@|%{_sbindir}|g" support-files/* scripts/*
perl -pi -e "s|\@localstatedir\@|/var/lib/mysql|g" support-files/* scripts/*
perl -pi -e "s|^basedir=.*|basedir=%{_prefix}|g" support-files/* scripts/mysql_install_db*

# workaround for upstream bug #56342
rm -f mysql-test/t/ssl_8k_key-master.opt
rm -f mysql-test/t/file_contents.test

# skip some tests failing on BS
cat %{_sourcedir}/mga-skipped-tests-base.list | tee -a mysql-test/unstable-tests

%build

## MariaDB
%serverbuild
%ifarch %arm
# workaround from https://bugzilla.redhat.com/show_bug.cgi?id=2026858
export CPPFLAGS="-DSTAP_SDT_ARG_CONSTRAINT=g"
%endif
export CFLAGS="${CFLAGS:-%{optflags}} -O3 -fno-delete-null-pointer-checks"
export CXXFLAGS="${CXXFLAGS:-%{optflags}} -O3 -fno-delete-null-pointer-checks"
export LDFLAGS="%{ldflags} -O3 -lz"
export FFLAGS="${FFLAGS:-%{optflags}}"
export LC_ALL=C
#-DPLUGIN_INNOBASE=DYNAMIC \

%cmake \
	-DINSTALL_SBINDIR=sbin \
	-DMYSQL_DATADIR=/var/lib/mysql \
	-DINSTALL_SYSCONFDIR=%{_sysconfdir} \
	-DINSTALL_PLUGINDIR=%{_lib}/mysql/plugin \
	-DINSTALL_MANDIR=share/man \
	-DINSTALL_SHAREDIR=share/mysql \
	-DINSTALL_LIBDIR=%{_lib} \
	-DINSTALL_INCLUDEDIR=include/mysql \
	-DINSTALL_INFODIR=share/info \
	-DINSTALL_MYSQLDATADIR=/var/lib/mysql \
	-DINSTALL_MYSQLTESTDIR=share/mysql/mysql-test \
	-DINSTALL_SQLBENCHDIR=share/mysql \
	-DINSTALL_SUPPORTFILESDIR=share/mysql \
	-DINSTALL_MYSQLSHAREDIR=share/mysql \
	-DLZ4_LIBS=%{_libdir} \
	-Wno-deprecated \
	-DMYSQL_UNIX_ADDR=/var/lib/mysql/mysql.sock \
	-DWITH_READLINE=system \
	-DWITH_LIBEDIT=0 \
	-DWITH_LIBWRAP=1 \
	-DWITH_SSL=system \
	-DWITH_ZLIB=system \
	-DWITH_PCRE=system \
	-DWITH_PIC=1 \
	-DMYSQL_TCP_PORT=3306 \
	-DEXTRA_CHARSETS=all \
	-DENABLED_LOCAL_INFILE=1 \
	-DENABLE_DTRACE=1 \
	-DWITH_EMBEDDED_SERVER=1 \
	-DMYSQL_USER=%{muser} \
%if %{build_debug}
	-DWITH_DEBUG=1 \
%else
	-DWITH_DEBUG=0 \
%endif
	-DFEATURE_SET="community" \
	-DRPM=1 \
	-DCOMPILATION_COMMENT="%{_vendor} MariaDB Server" \
	-DPLUGIN_ARIA=STATIC \
	-DPLUGIN_PARTITION=STATIC \
	-DPLUGIN_PERFSCHEMA=STATIC \
	-DPLUGIN_XTRADB=STATIC \
	-DPLUGIN_ARCHIVE=DYNAMIC \
	-DPLUGIN_AUDIT_NULL=DYNAMIC \
	-DPLUGIN_AUTH_0X0100=DYNAMIC \
	-DPLUGIN_AUTH_PAM=DYNAMIC \
	-DPLUGIN_AUTH_SOCKET=DYNAMIC \
	-DPLUGIN_AUTH_TEST_PLUGIN=DYNAMIC \
	-DPLUGIN_BLACKHOLE=DYNAMIC \
%if %with java
	-DPLUGIN_CASSANDRA=DYNAMIC \
%else
	-DPLUGIN_CASSANDRA=NO \
%endif
	-DPLUGIN_CONNECT=DYNAMIC \
	-DPLUGIN_S3=DYNAMIC \
	-DPLUGIN_DEBUG_KEY_MANAGEMENT=DYNAMIC \
	-DPLUGIN_DIALOG=DYNAMIC \
	-DPLUGIN_DIALOG_EXAMPLES=DYNAMIC \
	-DPLUGIN_FEDERATED=DYNAMIC \
	-DPLUGIN_FEDERATEDX=DYNAMIC \
	-DPLUGIN_FEEDBACK=DYNAMIC \
	-DPLUGIN_FILE_KEY_MANAGEMENT=DYNAMIC \
	-DPLUGIN_FTEXAMPLE=DYNAMIC \
	-DPLUGIN_HANDLERSOCKET=DYNAMIC \
	-DPLUGIN_LOCALES=DYNAMIC \
	-DPLUGIN_METADATA_LOCK_INFO=DYNAMIC \
	-DPLUGIN_MROONGA=DYNAMIC \
	-DPLUGIN_MYSQL_CLEAR_PASSWORD=DYNAMIC \
%if %{build_oqgraph}
	-DPLUGIN_OQGRAPH=DYNAMIC \
%else
	-DPLUGIN_OQGRAPH=NO \
%endif
	-DPLUGIN_QA_AUTH_CLIENT=DYNAMIC \
	-DPLUGIN_QA_AUTH_INTERFACE=DYNAMIC \
	-DPLUGIN_QA_AUTH_SERVER=DYNAMIC \
	-DPLUGIN_QUERY_CACHE_INFO=DYNAMIC \
	-DPLUGIN_QUERY_RESPONSE_TIME=DYNAMIC \
	-DPLUGIN_SEMISYNC_MASTER=DYNAMIC \
	-DPLUGIN_SEMISYNC_SLAVE=DYNAMIC \
	-DPLUGIN_SEQUENCE=DYNAMIC \
	-DPLUGIN_SERVER_AUDIT=DYNAMIC \
	-DPLUGIN_SIMPLE_PASSWORD_CHECK=DYNAMIC \
	-DPLUGIN_SPHINX=DYNAMIC \
	-DPLUGIN_SPIDER=DYNAMIC \
	-DPLUGIN_SQL_ERRLOG=DYNAMIC \
	-DPLUGIN_TEST_SQL_DISCOVERY=DYNAMIC \
	-DPLUGIN_WSREP_INFO=DYNAMIC \
	-DPLUGIN_DAEMON_EXAMPLE=NO \
	-DPLUGIN_EXAMPLE=NO \
	-DPLUGIN_EXAMPLE_KEY_MANAGEMENT=NO \
	-DPLUGIN_TOKUDB=NO \
	-DPYTHON_SHEBANG=%{__python3}

%cmake_build

%install
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_var}/log/mysqld
install -d %{buildroot}/var/lib/mysql/{mysql,test}

%cmake_install

# exclude loaddata7 from being converted
export EXCLUDE_FROM_EOL_CONVERSION="std_data/loaddata7.dat"

# install configuration files
install -m0644 Mageia/my.cnf %{buildroot}%{_sysconfdir}/my.cnf
install -m0644 Mageia/server.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/server.cnf
install -m0644 Mageia/client.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/client.cnf
install -m0644 Mageia/mysql-clients.cnf %{buildroot}%{_sysconfdir}/my.cnf.d/mysql-clients.cnf

# clean installed files first
rm -rf %{buildroot}%{_unitdir}

# don't use systemd way to create mysql user
rm -rf %{buildroot}%{_sysusersdir}/sysusers.conf

install -m 0644 -D %{SOURCE10} %{buildroot}%{_tmpfilesdir}/mysql.conf
rm -rf %{buildroot}%{_tmpfilesdir}/tmpfiles.conf

install -m 0644 -D %{SOURCE11} %{buildroot}%{_unitdir}/mysqld.service
install -m 0755 %{SOURCE12} %{buildroot}%{_sbindir}/mysqld-prepare-db-dir

# cleanup some config files
rm -f %{buildroot}%{_sysconfdir}/my.cnf.d/cassandra.cnf \
	%{buildroot}%{_sysconfdir}/my.cnf.d/connect.cnf \
	 %{buildroot}%{_sysconfdir}/my.cnf.d/oqgraph.cnf

# magic by anssi
pushd %{buildroot}%{_sysconfdir}/my.cnf.d
%{expand:%(for i in {50..72}; do echo "install -m 644 %%SOURCE$i ."; done)}
popd

%if ! %with java
rm -f %{buildroot}%{_sysconfdir}/my.cnf.d/ha_cassandra.cnf
%endif

%if ! %{build_oqgraph}
rm -f %{buildroot}%{_sysconfdir}/my.cnf.d/ha_oqgraph.cnf
%endif

#groonga
rm -f %{buildroot}%{_datadir}/groonga-normalizer-mysql/lgpl-2.0.txt
mv %{buildroot}%{_datadir}/groonga-normalizer-mysql %{buildroot}%{_datadir}/mysql
mv %{buildroot}%{_datadir}/groonga %{buildroot}%{_datadir}/mysql

# bork
mv %{buildroot}%{_datadir}/mysql/aclocal %{buildroot}%{_datadir}/aclocal

#pam
mv %{buildroot}/%{_lib}/security %{buildroot}/%{_libdir}/

pushd %{buildroot}%{_bindir}
	ln -sf mysqlcheck mysqlrepair
	ln -sf mysqlcheck mysqlanalyze
	ln -sf mysqlcheck mysqloptimize
popd

# nuke -Wl,--as-needed from the mysql_config file
perl -pi -e "s|^ldflags=.*|ldflags=\'-rdynamic\'|g" %{buildroot}%{_bindir}/mysql_config

# cmake generates some completely wacko references to -lprobes_mysql when
# building with dtrace support. Haven't found where to shut that off,
# so resort to this blunt instrument. While at it, let's not reference
# libmysqlclient_r anymore either.
sed -e 's/-lprobes_mysql//' -e 's/-lmysqlclient_r/-lmysqlclient/' \
	%{buildroot}%{_bindir}/mysql_config >mysql_config.tmp
cp -f mysql_config.tmp %{buildroot}%{_bindir}/mysql_config
chmod 755 %{buildroot}%{_bindir}/mysql_config
install -m 0755 -d %{buildroot}/var/lib/mysql

# missing header
install -m0644 build/include/probes_mysql_dtrace.h %{buildroot}%{_includedir}/mysql/

# libmysqlclient_r is no more. Upstream tries to replace it with symlinks
# but that really doesn't work (wrong soname in particular). We'll keep
# just the devel libmysqlclient_r.so link, so that rebuilding without any
# source change is enough to get rid of dependency on libmysqlclient_r.
rm -f %{buildroot}%{_libdir}/libmysqlclient_r.so*
ln -s libmariadb.so %{buildroot}%{_libdir}/libmysqlclient_r.so

# remove static libs
rm -f %{buildroot}%{_libdir}/libmariadbclient.a
rm -f %{buildroot}%{_libdir}/libmysqlclient.a
rm -f %{buildroot}%{_libdir}/libmysqlclient_r.a
rm -f %{buildroot}%{_libdir}/libmysqld.a
rm -f %{buildroot}%{_libdir}/libmariadb.a
rm -f %{buildroot}%{_libdir}/libmariadbd.a

# mysql-test includes one executable that doesn't belong under /usr/share,
# so move it and provide a symlink
mv %{buildroot}%{_datadir}/mysql/mysql-test/lib/My/SafeProcess/my_safe_process %{buildroot}%{_bindir}
ln -s %{_bindir}/my_safe_process %{buildroot}%{_datadir}/mysql/mysql-test/lib/My/SafeProcess/my_safe_process

# mysql client statically built against a local embedded library, pretty useless
rm -f %{buildroot}%{_bindir}/mariadb-embedded
rm -f %{buildroot}%{_bindir}/mysql_embedded
rm -f %{buildroot}%{_mandir}/man1/mariadb-embedded.1*
rm -f %{buildroot}%{_mandir}/man1/mysql_embedded.1*

# this command enables plugins, but needs ini file + configuration in my.cnf
# before executing... and oh yeah, mysql must be stopped... => useless
# however, apparently tests seem to want it, even thought they don't use it.
#rm -f %{buildroot}%{_bindir}/mysql_plugin
rm -f %{buildroot}%{_libdir}/mysql/plugin/daemon_example.ini

# no RHEL4 selinux files for us
rm -rf %{buildroot}%{_datadir}/mysql/SELinux
# no solaris files for us
rm -rf %{buildroot}%{_datadir}/mysql/solaris
# no init script for us
rm -f %{buildroot}%{_initrddir}/mysql
rm -f %{buildroot}%{_initrddir}/mysqld

# house cleaning
rm -rf %{buildroot}%{_datadir}/info
rm -f %{buildroot}%{_bindir}/client_test
rm -f %{buildroot}%{_bindir}/maria_add_gis_sp.sql
rm -f %{buildroot}%{_bindir}/make_win_binary_distribution
rm -f %{buildroot}%{_bindir}/make_win_src_distribution
rm -f %{buildroot}%{_bindir}/test-connect-t
rm -f %{buildroot}%{_datadir}/mysql/binary-configure
rm -f %{buildroot}%{_datadir}/mysql/config.huge.ini
rm -f %{buildroot}%{_datadir}/mysql/config.medium.ini
rm -f %{buildroot}%{_datadir}/mysql/config.small.ini
rm -f %{buildroot}%{_datadir}/mysql/mysqld_multi.server
rm -f %{buildroot}%{_datadir}/mysql/mysql-log-rotate
rm -f %{buildroot}%{_datadir}/mysql/mysql.server
rm -f %{buildroot}%{_datadir}/mysql/ndb-config-2-node.ini
rm -f %{buildroot}%{_datadir}/mysql/binary-configure
rm -f %{buildroot}%{_mandir}/man1/galera_new_cluster.1*
rm -f %{buildroot}%{_mandir}/man1/galera_recovery.1*
rm -f %{buildroot}%{_mandir}/man1/make_win_bin_dist.1*
rm -f %{buildroot}%{_mandir}/man1/make_win_src_distribution.1*
rm -f %{buildroot}%{_mandir}/man1/mariadb-service-convert.1*
rm -rf %{buildroot}%{_mandir}/man3
rm -f %{buildroot}%{_datadir}/mysql/magic
rm -f %{buildroot}%{_sbindir}/rcmysql
rm -rf %{buildroot}%{_datadir}/mysql/policy
rm -rf %{buildroot}%{_datadir}/mysql/systemd
rm -rf %{buildroot}%{_datadir}/mysql/mini-benchmark
rm -f %{buildroot}%{_bindir}/mariadb-service-convert
rm -f %{buildroot}%{_bindir}/galera_new_cluster
rm -f %{buildroot}%{_bindir}/galera_recovery
rm -f %{buildroot}%{_datadir}/mysql/wsrep_notify
rm -f %{buildroot}%{_datadir}/mysql/mysql_test_db.sql
touch %{buildroot}%{_datadir}/mysql/mysql_test_db.sql
cp %{SOURCE72} %{buildroot}%{_sysconfdir}/my.cnf.d/auth_gssapi.cnf

#rocksdb is not available for i586
%ifarch %arm x86_64 aarch64
%else
rm -f %{buildroot}%{_sysconfdir}/my.cnf.d/rocksdb.cnf
rm -f %{buildroot}%{_libdir}/mysql/plugin/ha_rocksdb.so
rm -f %{buildroot}%{_bindir}/myrocks_hotbackup
rm -f %{buildroot}%{_bindir}/mariadb-ldb
rm -f %{buildroot}%{_bindir}/mysql_ldb
rm -f %{buildroot}%{_bindir}/sst_dump
rm -f %{buildroot}%{_mandir}/man1/mariadb-ldb.1*
rm -f %{buildroot}%{_mandir}/man1/mysql_ldb.1*
%endif


# no idea how to fix this
rm -rf %{buildroot}%{_prefix}/data
rm -rf %{buildroot}%{_prefix}/docs
rm -rf %{buildroot}%{_prefix}/scripts
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_sysconfdir}/init.d/mysql

cat > README.urpmi <<EOF

NOTE: MariaDB is installed without root password, it is recommended to set the
root password with the following command as soon as possible:

 # mysql_secure_installation
 press enter at each question except the new root password.

The initscript used to start mysql has been reverted to use the one shipped
by MariaDB. This means the following changes:

 * The generation of the initial system mysql database is now done when mysql
   is started from the initscript and only if the /var/lib/mysql/mysql
   directory is empty (mysql_install_db). Previousely this was quite hidden and
   silently done at (rpm) install time. As a consequence to this change you may
   have to perform some manual tasks to upgrade the mysql system database and
   such. So, doing something like this might help you:

   systemctl stop mysqld.service
   TMPDIR=/var/tmp mysql_install_db
   systemctl start mysqld.service
   mysql_upgrade --skip-write-binlog
   mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql -D mysql

EOF

%check
################################################################################
# run the tests
%if %{build_test}
# disable failing tests
#	--ssl \
#	--big-test \
pushd build/mysql-test
export LANG=C
export LC_ALL=C
export LANGUAGE=C
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{_builddir}/%{name}-%{version}/build/unittest/mytap:%{_builddir}/%{name}-%{version}/build/libmariadb/unittest/mytap/
	perl ./mysql-test-run.pl \
	--mtr-build-thread="$((${RANDOM} % 100))" \
	--retry=0 \
	--force \
	--fast \
	--skip-test-list=unstable-tests \
	--max-test-fail=0 \
	--skip-test=spider \
	--testcase-timeout=60 \
	--suite-timeout=1200 || false && cat %{_builddir}/%{name}-%{version}/build/mysql-test/var/log/warnings
popd
%endif

%pre common
# delete the mysql group if no mysql user is found, before adding the user
if [ -z "`getent passwd %{muser}`" ] && ! [ -z "`getent group %{muser}`" ]; then
	%{_sbindir}/groupdel %{muser} 2> /dev/null || :
fi

%_pre_useradd %{muser} /var/lib/mysql /bin/bash

%post
%_tmpfilescreate mysql
%_post_service mysqld

%preun
%_preun_service mysqld

%postun
%_postun_service mysqld

%files
%doc README.urpmi
%config(noreplace) %{_sysconfdir}/logrotate.d/mariadb
%config(noreplace) %{_sysconfdir}/my.cnf.d/auth_gssapi.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/auth_socket.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/cracklib_password_check.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/disks.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/enable_encryption.preset
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_archive.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_blackhole.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_federatedx.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/hashicorp_key_management.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/locales.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/metadata_lock_info.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/provider_bzip2.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/provider_lz4.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/provider_lzma.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/provider_lzo.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/query_response_time.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/server_audit.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/server.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/sql_errlog.cnf

%{_libdir}/mysql/plugin/auth_ed25519.so
%{_libdir}/mysql/plugin/auth_gssapi_client.so
%{_libdir}/mysql/plugin/auth_gssapi.so
%{_libdir}/mysql/plugin/auth_socket.so
%{_libdir}/mysql/plugin/caching_sha2_password.so
%{_libdir}/mysql/plugin/cracklib_password_check.so
%{_libdir}/mysql/plugin/debug_key_management.so
%{_libdir}/mysql/plugin/disks.so
%{_libdir}/mysql/plugin/file_key_management.so
%{_libdir}/mysql/plugin/ha_archive.so
%{_libdir}/mysql/plugin/ha_blackhole.so
%{_libdir}/mysql/plugin/ha_federatedx.so
%{_libdir}/mysql/plugin/hashicorp_key_management.so
%{_libdir}/mysql/plugin/locales.so
%{_libdir}/mysql/plugin/metadata_lock_info.so
%{_libdir}/mysql/plugin/password_reuse_check.so
%{_libdir}/mysql/plugin/provider_bzip2.so
%{_libdir}/mysql/plugin/provider_lz4.so
%{_libdir}/mysql/plugin/provider_lzma.so
%{_libdir}/mysql/plugin/provider_lzo.so
%{_libdir}/mysql/plugin/query_response_time.so
%{_libdir}/mysql/plugin/server_audit.so
%{_libdir}/mysql/plugin/sha256_password.so
%{_libdir}/mysql/plugin/simple_password_check.so
%{_libdir}/mysql/plugin/sql_errlog.so
%{_libdir}/mysql/plugin/test_sql_service.so
%{_libdir}/mysql/plugin/type_mysql_json.so
%{_libdir}/mysql/plugin/wsrep_info.so
%{_libdir}/mysql/plugin/zstd.so
%{_sbindir}/mysqld-prepare-db-dir
%{_sysusersdir}/mariadb.conf
%{_tmpfilesdir}/mariadb.conf
%{_tmpfilesdir}/mysql.conf
%{_unitdir}/mysqld.service
%{_datadir}/mysql/mariadb.logrotate

%files -n mysql-MariaDB

%files obsolete
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_innodb.cnf
%{_libdir}/mysql/plugin/ha_federated.so

%if %with java
%files cassandra
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_cassandra.cnf
%{_libdir}/mysql/plugin/ha_cassandra.so
%endif

%files feedback
%config(noreplace) %{_sysconfdir}/my.cnf.d/feedback.cnf
%{_libdir}/mysql/plugin/feedback.so

%if %{build_oqgraph}
%files oqgraph
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_oqgraph.cnf
%{_libdir}/mysql/plugin/ha_oqgraph.so
%endif

%files connect
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_connect.cnf
%{_libdir}/mysql/plugin/ha_connect.so

%files s3-engine
%{_bindir}/aria_s3_copy
%{_mandir}/man1/aria_s3_copy.1*
%config(noreplace) %{_sysconfdir}/my.cnf.d/s3.cnf
%{_libdir}/mysql/plugin/ha_s3.so

%files sphinx
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_sphinx.cnf
%{_libdir}/mysql/plugin/ha_sphinx.so

%ifarch %arm x86_64 aarch64
%files rocks
%config(noreplace) %{_sysconfdir}/my.cnf.d/rocksdb.cnf
%{_libdir}/mysql/plugin/ha_rocksdb.so
%{_bindir}/myrocks_hotbackup
%{_bindir}/mariadb-ldb
%{_bindir}/mysql_ldb
%{_bindir}/sst_dump
%{_mandir}/man1/mariadb-ldb.1*
%{_mandir}/man1/mysql_ldb.1*
%endif

%files mroonga
%doc %{_datadir}/mysql/groonga/COPYING
%doc %{_datadir}/mysql/groonga-normalizer-mysql/README.md
%doc %{_datadir}/mysql/groonga/README.md
%doc %{_datadir}/mysql/mroonga/AUTHORS
%doc %{_datadir}/mysql/mroonga/COPYING
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_mroonga.cnf
%{_libdir}/mysql/plugin/ha_mroonga.so
%{_datadir}/mysql/mroonga/install.sql
%{_datadir}/mysql/mroonga/uninstall.sql

%files sequence
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_sequence.cnf
%{_libdir}/mysql/plugin/ha_sequence.so

%files spider
%config(noreplace) %{_sysconfdir}/my.cnf.d/ha_spider.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/spider.cnf
%{_libdir}/mysql/plugin/ha_spider.so

%files extra
%config(noreplace) %{_sysconfdir}/my.cnf.d/handlersocket.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/query_cache_info.cnf
%{_libdir}/mysql/plugin/handlersocket.so
# new optional functionality
%{_libdir}/mysql/plugin/query_cache_info.so

%files client
%config(noreplace) %{_sysconfdir}/my.cnf.d/client.cnf
%config(noreplace) %{_sysconfdir}/my.cnf.d/mysql-clients.cnf
%{_bindir}/mariabackup
%{_bindir}/mariadb
%{_bindir}/mariadb-access
%{_bindir}/mariadb-admin
%{_bindir}/mariadb-binlog
%{_bindir}/mariadb-check
%{_bindir}/mariadb-conv
%{_bindir}/mariadb-dump
%{_bindir}/mariadb-dumpslow
%{_bindir}/mariadb-find-rows
%{_bindir}/mariadb-import
%{_bindir}/mariadb-show
%{_bindir}/mariadb-slap
%{_bindir}/mariadb-waitpid
%{_bindir}/mbstream
%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlanalyze
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqldumpslow
%{_bindir}/mysql_find_rows
%{_bindir}/mysqlimport
%{_bindir}/mysqloptimize
%{_bindir}/mysqlrepair
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/mysql_waitpid
%{_mandir}/man1/mariabackup.1*
%{_mandir}/man1/mariadb.1*
%{_mandir}/man1/mariadb-access.1*
%{_mandir}/man1/mariadb-admin.1*
%{_mandir}/man1/mariadb-binlog.1*
%{_mandir}/man1/mariadb-check.1*
%{_mandir}/man1/mariadb_config.1.*
%{_mandir}/man1/mariadb-conv.1.*
%{_mandir}/man1/mariadb-dump.1*
%{_mandir}/man1/mariadb-dumpslow.1*
%{_mandir}/man1/mariadb-find-rows.1*
%{_mandir}/man1/mariadb-import.1*
%{_mandir}/man1/mariadb-show.1*
%{_mandir}/man1/mariadb-waitpid.1*
%{_mandir}/man1/mbstream.1*
%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/myrocks_hotbackup.1.*
%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqldumpslow.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysql_waitpid.1*
%{_mandir}/man1/mytop.1.*
# libmysqlclient plugins
%{_libdir}/mysql/plugin/dialog.so
%{_libdir}/mysql/plugin/mysql_clear_password.so
%{_libdir}/mysql/plugin/client_ed25519.so

%files bench
%doc build/sql-bench/README
%{_bindir}/my_safe_process
%{_bindir}/mariadb-client-test
%{_bindir}/mysql_client_test
%{_datadir}/mysql/sql-bench
%{_mandir}/man1/my_safe_process.1*
%{_mandir}/man1/mariadb-client-test.1*
%{_mandir}/man1/mysql_client_test.1*
%{_mandir}/man1/mysql-stress-test.pl.1*
%{_mandir}/man1/mariadb-test.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/mysql-test-run.pl.1*
%{_libdir}/mysql/plugin/adt_null.so
%{_libdir}/mysql/plugin/auth_0x0100.so
%{_libdir}/mysql/plugin/auth_test_plugin.so
%{_libdir}/mysql/plugin/dialog_examples.so
%{_libdir}/mysql/plugin/func_test.so
%{_libdir}/mysql/plugin/ha_test_sql_discovery.so
%{_libdir}/mysql/plugin/mypluglib.so
%{_libdir}/mysql/plugin/qa_auth_client.so
%{_libdir}/mysql/plugin/qa_auth_interface.so
%{_libdir}/mysql/plugin/qa_auth_server.so
%{_libdir}/mysql/plugin/type_test.so
%{_libdir}/mysql/plugin/test_versioning.so
%attr(-,%{muser},%{muser}) %{_datadir}/mysql/mysql-test
%attr(0755,%{muser},%{muser}) %dir /var/lib/mysql/test

%files core
%{_sbindir}/mariadbd
%{_sbindir}/mysqld

%files common-core
%config(noreplace) %{_sysconfdir}/my.cnf
%dir %{_datadir}/mysql
%{_datadir}/mysql/english
%{_datadir}/mysql/charsets

%files common
%doc README.md COPYING
%dir %{_sysconfdir}/my.cnf.d
%dir %{_libdir}/mysql/plugin
%{_bindir}/aria_chk
%{_bindir}/aria_dump_log
%{_bindir}/aria_ftdump
%{_bindir}/aria_pack
%{_bindir}/aria_read_log
%{_bindir}/innochecksum
%{_bindir}/myisamchk
%{_bindir}/myisam_ftdump
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/my_print_defaults
%{_bindir}/mariabackup
%{_bindir}/mariadb-backup
%{_bindir}/mariadb-convert-table-format
%{_bindir}/mysql_convert_table_format
%{_bindir}/mariadbd-multi
%{_bindir}/mysqld_multi
%{_bindir}/mariadbd-safe
%{_bindir}/mysqld_safe
%{_bindir}/mariadbd-safe-helper
%{_bindir}/mysqld_safe_helper
%{_bindir}/mariadb-fix-extensions
%{_bindir}/mysql_fix_extensions
%{_bindir}/mariadb-hotcopy
%{_bindir}/mysqlhotcopy
%{_bindir}/mariadb-install-db
%{_bindir}/mysql_install_db
%{_bindir}/mariadb-plugin
%{_bindir}/mysql_plugin
%{_bindir}/mariadb-secure-installation
%{_bindir}/mysql_secure_installation
%{_bindir}/mariadb-setpermission
%{_bindir}/mysql_setpermission
%{_bindir}/mariadb-test
%{_bindir}/mysqltest
%{_bindir}/mariadb-tzinfo-to-sql
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mariadb-upgrade
%{_bindir}/mysql_upgrade
%{_bindir}/mytop
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolveip
%{_bindir}/resolve_stack_dump
%{_bindir}/wsrep_sst_backup
%{_bindir}/wsrep_sst_common
%{_bindir}/wsrep_sst_mariabackup
%{_bindir}/wsrep_sst_mysqldump
%{_bindir}/wsrep_sst_rsync
%{_bindir}/wsrep_sst_rsync_wan
%attr(0755,%{muser},%{muser}) %dir /var/lib/mysql
%attr(0755,%{muser},%{muser}) %dir /var/lib/mysql/mysql
%attr(0755,%{muser},%{muser}) %dir %{_var}/log/mysqld
%{_datadir}/mysql/*.cnf
%{_datadir}/mysql/fill_help_tables.sql
%{_datadir}/mysql/mysql_performance_tables.sql
%{_datadir}/mysql/mysql_system_tables.sql
%{_datadir}/mysql/mysql_system_tables_data.sql
%{_datadir}/mysql/mysql_test_db.sql
%{_datadir}/mysql/mysql_test_data_timezone.sql
%{_datadir}/mysql/mysql_sys_schema.sql
%{_datadir}/mysql/errmsg-utf8.txt
%{_datadir}/mysql/maria_add_gis_sp_bootstrap.sql
%{_datadir}/mysql/maria_add_gis_sp.sql
%{_datadir}/mysql/bulgarian
%{_datadir}/mysql/chinese
%{_datadir}/mysql/czech
%{_datadir}/mysql/danish
%{_datadir}/mysql/dutch
%{_datadir}/mysql/estonian
%{_datadir}/mysql/french
%{_datadir}/mysql/german
%{_datadir}/mysql/georgian
%{_datadir}/mysql/greek
%{_datadir}/mysql/hindi
%{_datadir}/mysql/hungarian
%{_datadir}/mysql/italian
%{_datadir}/mysql/japanese
%{_datadir}/mysql/korean
%{_datadir}/mysql/norwegian
%{_datadir}/mysql/norwegian-ny
%{_datadir}/mysql/polish
%{_datadir}/mysql/portuguese
%{_datadir}/mysql/romanian
%{_datadir}/mysql/russian
%{_datadir}/mysql/serbian
%{_datadir}/mysql/slovak
%{_datadir}/mysql/spanish
%{_datadir}/mysql/swedish
%{_datadir}/mysql/ukrainian
%{_mandir}/man1/aria_chk.1*
%{_mandir}/man1/aria_dump_log.1*
%{_mandir}/man1/aria_ftdump.1*
%{_mandir}/man1/aria_pack.1*
%{_mandir}/man1/aria_read_log.1*
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/mariadb-backup.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/my_print_defaults.1*
%{_mandir}/man1/mariadb-convert-table-format.1*
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/mariadbd-multi.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mariadbd-safe.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/mariadbd-safe-helper.1*
%{_mandir}/man1/mysqld_safe_helper.1*
%{_mandir}/man1/mariadb-fix-extensions.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mariadb-hotcopy.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/mariadb-install-db.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mariadb-plugin.1*
%{_mandir}/man1/mysql_plugin.1*
%{_mandir}/man1/mariadb-secure-installation.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql.server.1*
%{_mandir}/man1/mariadb-setpermission.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mariadb-slap.1*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/mariadb-tzinfo-to-sql.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man1/mariadb-upgrade.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolveip.1*
%{_mandir}/man1/resolve_stack_dump.1*
%{_mandir}/man8/mysqld.8*
%{_mandir}/man8/mariadb*
%{_mandir}/man1/wsrep_*.1*

%files pam
%config(noreplace) %{_sysconfdir}/my.cnf.d/auth_pam.cnf
%config(noreplace) %{_sysconfdir}/security/user_map.conf
%{_libdir}/security/pam_user_map.so
%dir %{_libdir}/mysql/plugin/auth_pam_tool_dir/
%{_libdir}/mysql/plugin/auth_pam_tool_dir/auth_pam_tool
%{_libdir}/mysql/plugin/auth_pam_v1.so
%{_libdir}/mysql/plugin/auth_pam.so

%files -n %{libname}
%{_libdir}/libmariadb.so.%{major}{,.*}


%files -n %{develname}
%doc INSTALL-SOURCE
%{_bindir}/mariadb-config
%{_bindir}/mariadb_config
%{_bindir}/mysql_config
%{_libdir}/libmariadb.so
%{_libdir}/libmysqlclient_r.so
%{_libdir}/libmysqlclient.so
%{_libdir}/pkgconfig/mariadb.pc
%{_libdir}/pkgconfig/libmariadb.pc
%dir %{_includedir}/mysql
%dir %{_includedir}/mysql/mariadb
%dir %{_includedir}/mysql/mysql
%dir %{_includedir}/mysql/server
%dir %{_includedir}/mysql/server/mysql
%dir %{_includedir}/mysql/server/mysql/psi
%dir %{_includedir}/mysql/server/private
%dir %{_includedir}/mysql/server/private/atomic
%dir %{_includedir}/mysql/server/private/providers
%dir %{_includedir}/mysql/server/private/providers/lzo
%{_includedir}/mysql/*.h
%{_includedir}/mysql/mariadb/*.h
%{_includedir}/mysql/mysql/*.h
%{_includedir}/mysql/server/*.h
%{_includedir}/mysql/server/mysql/*.h
%{_includedir}/mysql/server/mysql/psi/*.h
%{_includedir}/mysql/server/private/*.h
%{_includedir}/mysql/server/private/atomic/*.h
%{_includedir}/mysql/server/private/providers/*.h
%{_includedir}/mysql/server/private/providers/lzo/*.h
%{_mandir}/man1/mysql_config.1*
%{_datadir}/aclocal/mysql.m4
# mysqlservices library is static, because it doesn't contain any code
# itself, and is meant to be statically linked to all plugins.
%{_libdir}/libmysqlservices.a

%files -n %{libmariadbembedded}
%doc COPYING
%{_libdir}/libmariadbd.so.%{mariadbdmajor}{,.*}

%files -n %{libmariadbembedded_devel}
%{_libdir}/libmariadbd.so
%{_libdir}/libmysqld.so
%{_bindir}/mariadb-client-test-embedded
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mariadb-test-embedded
%{_bindir}/mysqltest_embedded
%{_mandir}/man1/mariadb-client-test-embedded.1*
%{_mandir}/man1/mysql_client_test_embedded.1*
%{_mandir}/man1/mariadb-test-embedded.1*
%{_mandir}/man1/mysqltest_embedded.1*



%changelog
* Sun Jul 23 2023 mokraemer <mokraemer> 10.11.4-2.mga9
+ Revision: 1964111
- removed almost all pre-install scripts (mga#32118)

* Thu Jun 08 2023 mokraemer <mokraemer> 10.11.4-1.mga9
+ Revision: 1961318
- new version 10.11.4

* Mon May 15 2023 mokraemer <mokraemer> 10.11.3-1.mga9
+ Revision: 1956956
- add new language
- repatch
- new version 10.11.3

* Fri May 05 2023 daviddavid <daviddavid> 10.11.2-2.mga9
+ Revision: 1955891
- fix owner of include dir
+ mokraemer <mokraemer>
- add mysql_tzinfo_to_sql by default on upgrade. This helps to stay up-to-date on tz changes

* Fri Feb 17 2023 mokraemer <mokraemer> 10.11.2-1.mga9
+ Revision: 1943684
- add missing file
- logrotate is now named mariadb
- new LTS version 10.11.2

* Mon Feb 06 2023 mokraemer <mokraemer> 10.9.5-1.mga9
+ Revision: 1938970
- new version 10.9.5

* Sat Dec 24 2022 wally <wally> 10.9.4-2.mga9
+ Revision: 1926374
- obsolete mariadb-connector-c for now as at the moment it's bundled with mariadb itself
- drop python2 from .spec

* Tue Nov 08 2022 mokraemer <mokraemer> 10.9.4-1.mga9
+ Revision: 1904641
- new release 10.9.4

* Tue Sep 20 2022 mokraemer <mokraemer> 10.9.3-1.mga9
+ Revision: 1890927
- new version 10.9.3

* Tue Aug 23 2022 mokraemer <mokraemer> 10.9.2-1.mga9
+ Revision: 1879596
- add new plugin
- new version 10.9.2

* Tue Aug 16 2022 mokraemer <mokraemer> 10.8.4-1.mga9
+ Revision: 1878143
- new version 10.8.4

* Tue Jun 07 2022 mokraemer <mokraemer> 10.8.3-2.mga9
+ Revision: 1863198
- remove devel depandency

* Mon May 23 2022 mokraemer <mokraemer> 10.8.3-1.mga9
+ Revision: 1859926
- remove mini-benchmark
- reenable mroonga for i586, add fmt as build requirement
- disable mroonga plugin for i586
- disable plugin for i586
- mariadb 10.8.3
- reenable patch
- switch to 10.7.4
- repatch
- new version 10.8.3
- repatch
- new version 10.7.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 mokraemer <mokraemer> 10.6.5-4.mga9
+ Revision: 1771654
- switch config from my.cnf to my.cnf.d/server.cnf, my.cnf.d/client.cnf

* Sat Jan 29 2022 wally <wally> 10.6.5-3.mga9
+ Revision: 1770220
- add workaround for failing armv7hl build

* Tue Jan 04 2022 guillomovitch <guillomovitch> 10.6.5-2.mga9
+ Revision: 1766719
- no need to enforce same-architecture dependencies between packages
- better compatibility with OpenSSL 3.0, fixing a segfault with mysql_install_db
- add S3 plugin support, fixing build with curl-devel installed
- drop obsolete rpm-helper env variables

* Mon Nov 22 2021 mokraemer <mokraemer> 10.6.5-1.mga9
+ Revision: 1758646
- fix download source
- version 10.6.5
- new version

* Sat Oct 02 2021 wally <wally> 10.6.4-2.mga9
+ Revision: 1747548
- rebuild for openssl 3.0.0

* Sat Aug 07 2021 mokraemer <mokraemer> 10.6.4-1.mga9
+ Revision: 1739988
- fix remove man3
- removed some manpages
- new stable release 10.6.4

* Fri Jul 30 2021 luigiwalser <luigiwalser> 10.5.11-3.mga9
+ Revision: 1738244
- rebuild for update pcre2posix

* Wed Jun 30 2021 mokraemer <mokraemer> 10.5.11-2.mga9
+ Revision: 1734353
- Fix #29065

* Thu Jun 24 2021 mokraemer <mokraemer> 10.5.11-1.mga9
+ Revision: 1732100
- new version 10.5.11

* Sat May 08 2021 mokraemer <mokraemer> 10.5.10-1.mga9
+ Revision: 1722302
- removed old file
- new version 10.5.10

* Mon Feb 22 2021 mokraemer <mokraemer> 10.5.9-1.mga9
+ Revision: 1675663
- new version 10.5.9
- new version 10.5.9

* Sun Jan 10 2021 daviddavid <daviddavid> 10.5.8-2.mga8
+ Revision: 1670333
- move mariadb-config symlink binary into the devel pkg (mga#28056)

* Wed Nov 11 2020 mokraemer <mokraemer> 10.5.8-1.mga8
+ Revision: 1644741
- new version 10.5.8

* Wed Nov 04 2020 mokraemer <mokraemer> 10.5.7-1.mga8
+ Revision: 1642554
- added new files
- new version 10.5.7

* Thu Oct 08 2020 mokraemer <mokraemer> 10.5.6-1.mga8
+ Revision: 1632726
- new version 10.5.6

* Tue Aug 11 2020 mokraemer <mokraemer> 10.5.5-1.mga8
+ Revision: 1613243
- fix man file missing
- new version 10.5.5

* Sat Jun 27 2020 mokraemer <mokraemer> 10.5.4-1.mga8
+ Revision: 1599519
- add missing files
- remove spider.sql
- fix use pcre2
- new version 10.5.4

* Fri Jun 19 2020 mokraemer <mokraemer> 10.4.13-1.mga8
+ Revision: 1597061
- missing prefix
- wrong dir for security
- wrong dir for security
- new systemd files added
- removed pam_usermap
- removed man page
- dir security has moved
- removed man page
- fix pkgconfig files
- new version 10.4.13

* Tue Feb 25 2020 mokraemer <mokraemer> 10.4.12-4.mga8
+ Revision: 1550491
- Fix mysql_install_db which searches for auth_pam plugin

* Thu Feb 20 2020 umeabot <umeabot> 10.4.12-3.mga8
+ Revision: 1546626
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 mokraemer <mokraemer> 10.4.12-2.mga8
+ Revision: 1486878
- repatch
- fix mga#26167 (CVE-2020-7221)

* Wed Jan 29 2020 mokraemer <mokraemer> 10.4.12-1.mga8
+ Revision: 1485057
- revert py3
- setting python3 explicitly
- build with O3 level, added some build deps, removed py2 dep
- add new pam module for authentication
- new version 10.4.12
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Fri Dec 20 2019 wally <wally> 10.4.11-2.mga8
+ Revision: 1469081
- move auth_pam_tool to main pkg (mga#25901)
- move auth_pam_v1.so to main pkg

* Fri Dec 13 2019 mokraemer <mokraemer> 10.4.11-1.mga8
+ Revision: 1466570
- new version 10.4.11

* Wed Nov 13 2019 mokraemer <mokraemer> 10.4.10-1.mga8
+ Revision: 1459818
- new version 10.4.10

* Wed Nov 06 2019 mokraemer <mokraemer> 10.4.9-1.mga8
+ Revision: 1458369
- use python2 on build
- new version 10.4.9
- new version 10.4.8

* Tue Aug 27 2019 tmb <tmb> 10.4.7-5.mga8
+ Revision: 1434586
- use final fix for wsrep libs from 10.4 branch
- always build wsrep libraries static

* Tue Aug 27 2019 tmb <tmb> 10.4.7-3.mga8
+ Revision: 1434548
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 10.4.7-2.mga8
+ Revision: 1434501
- fix file list: move the new mariadb aliases in the right subpkgs

* Tue Aug 27 2019 tv <tv> 10.4.7-1.mga8
+ Revision: 1434208
- fix filelist (to be reviewed + drop manual cycle deps on DBD::mysql
- "fix" underlinking
+ mokraemer <mokraemer>
- new version 10.4.7
- new version 10.4.6

* Tue Jun 18 2019 mokraemer <mokraemer> 10.3.16-1.mga7
+ Revision: 1400202
- new version 10.3.16

* Sat May 18 2019 mokraemer <mokraemer> 10.3.15-1.mga7
+ Revision: 1398262
- new version 10.3.15 with security fixes

* Wed Apr 03 2019 mokraemer <mokraemer> 10.3.14-1.mga7
+ Revision: 1385475
- new version 10.3.14

* Sat Feb 23 2019 mokraemer <mokraemer> 10.3.13-2.mga7
+ Revision: 1369594
- new version 10.3.13
+ tv <tv>
- fix man pages list

* Thu Jan 10 2019 mokraemer <mokraemer> 10.3.12-1.mga7
+ Revision: 1354494
- new version 10.3.12

* Thu Dec 13 2018 mokraemer <mokraemer> 10.3.11-4.mga7
+ Revision: 1341016
- rebuild for armv7, changed old my.cnf settings

* Thu Dec 13 2018 mokraemer <mokraemer> 10.3.11-3.mga7
+ Revision: 1341001
- Fix upgrade

* Sat Nov 24 2018 kekepower <kekepower> 10.3.11-2.mga7
+ Revision: 1333709
- Fix small typo in spec file
- Added BRs for two perl modules needed for running mytop

* Fri Nov 23 2018 mokraemer <mokraemer> 10.3.11-1.mga7
+ Revision: 1333427
- new version 10.3.11

* Fri Oct 05 2018 mokraemer <mokraemer> 10.3.10-2.mga7
+ Revision: 1318064
- removed unused file
- new version 10.3.10

* Fri Aug 24 2018 mokraemer <mokraemer> 10.3.9-2.mga7
+ Revision: 1253656
- Add info to install timezone data (mga#23472)

* Thu Aug 16 2018 mokraemer <mokraemer> 10.3.9-1.mga7
+ Revision: 1251928
- new release 10.3.9

* Sat Aug 11 2018 mokraemer <mokraemer> 10.3.8-4.mga7
+ Revision: 1250993
- disabled some plugins per default, Fixed (mga#23426)

* Tue Jul 10 2018 wally <wally> 10.3.8-3.mga7
+ Revision: 1242899
- rename embedded lib pkg (mysqld -> mariadbd)
- move lib and devel files to pkgs where they belongs
- drop unneeded symlink

* Fri Jul 06 2018 mokraemer <mokraemer> 10.3.8-2.mga7
+ Revision: 1242240
- new version 10.3.8

* Wed Jun 27 2018 mokraemer <mokraemer> 10.2.16-1.mga7
+ Revision: 1239950
- new version 10.2.16

* Thu Jun 21 2018 mokraemer <mokraemer> 10.2.15-1.mga7
+ Revision: 1238685
- new version 10.2.15

* Thu Jun 07 2018 tmb <tmb> 10.2.14-3.mga7
+ Revision: 1235192
- stop recommending mariadb-feedback as we decided long time ago we dont want software 'phoning home' by default

* Tue Jun 05 2018 mokraemer <mokraemer> 10.2.14-2.mga7
+ Revision: 1234604
- move test database to benchmark package (mga#23115)

* Mon Apr 02 2018 luigiwalser <luigiwalser> 10.2.14-1.mga7
+ Revision: 1214578
- 10.2.14
- 10.2.13

* Fri Jan 05 2018 wally <wally> 10.2.12-1.mga7
+ Revision: 1190525
- new version 10.2.12
- provide pkgconfig .pc file (Guillaume Rousse)
- drop multiarch support
- own /usr/include/mysql/server

* Mon Dec 25 2017 wally <wally> 10.2.11-10.mga7
+ Revision: 1184826
- link libmysqlclient_r.so to libmariadb.so
- remove errmsg.sys from mariadb-embedded lib as maxscale doesn't use it anymore

* Tue Dec 19 2017 wally <wally> 10.2.11-9.mga7
+ Revision: 1183507
- remove weird Requires(post) and Requires(preun) from devel pkg
- fix libmysqld (mariadb-embedded) lib pkg name
- fix libmariadb major
- move libmariadb lib file to lib pkg
- remove old mysql to mariadb transition era provides and obsoletes
- remove old and unneeded mysqlservices obsoletes
- remove old and unneeded static devel pkg obsoletes
- remove old and unneeded libmariadbservices obsoletes

* Mon Dec 18 2017 mokraemer <mokraemer> 10.2.11-8.mga7
+ Revision: 1183169
- Fix arm build, removed hardlinked old embedded files

* Mon Dec 18 2017 tv <tv> 10.2.11-7.mga7
+ Revision: 1183160
- fix upgrade (libmysqld.so.0 should be split in its own subpkg!!!)

* Mon Dec 18 2017 mokraemer <mokraemer> 10.2.11-6.mga7
+ Revision: 1183145
- fixed misspelling of option, added some compile parameters, still fails to build due to system pcre
+ mjack <mjack>
- Changed make_build into make
- Added system readline
- Small changes to cmake parameters
- Updated to version 10.2.11
- Removed already applied/redundant patches
- Some changes made to build stage allow compilation

* Sat Sep 30 2017 luigiwalser <luigiwalser> 10.1.28-1.mga7
+ Revision: 1162058
- disable java for now
- 10.1.28
- update README.urpmi with effective method of changing root mysql password
  (Herman Viaene)

* Sun Aug 20 2017 luigiwalser <luigiwalser> 10.1.26-1.mga7
+ Revision: 1142488
- add patches from fedora for openssl 1.1 support
- 10.1.26

* Sat Jul 22 2017 luigiwalser <luigiwalser> 10.1.25-1.mga7
+ Revision: 1128625
- 10.1.25
- remove no longer needed mysqld-wait-ready

* Thu Jul 06 2017 tmb <tmb> 10.1.24-1.mga6
+ Revision: 1109111
- fix mysqld-prepare-db-dir for CVE-2017-3265 (mga#21101)
+ luigiwalser <luigiwalser>
- 10.1.24
- remove upstreamed crc patch

* Sat May 20 2017 luigiwalser <luigiwalser> 10.1.23-1.mga6
+ Revision: 1103686
- add missing BR libarchive-devel
- add patch from Oden Eriksson to fix building/linking static libcrc
- 10.1.23

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 10.1.22-2.mga6
+ Revision: 1093189
- Rebuild for icu-58.2

* Wed Mar 15 2017 luigiwalser <luigiwalser> 10.1.22-1.mga6
+ Revision: 1092651
- add ed25519 plugin to files list (MDEV-12160)
- mariadb-bench should require DBD::mysql (mga#20275)
- 10.1.22

* Sat Feb 18 2017 luigiwalser <luigiwalser> 10.1.21-5.mga6
+ Revision: 1086684
- add changes to mysqld.service from rapsys to drop usage of mysqld_safe

* Sun Feb 12 2017 luigiwalser <luigiwalser> 10.1.21-4.mga6
+ Revision: 1085843
- more mysqld_safe fixes from Arne

* Sat Feb 11 2017 luigiwalser <luigiwalser> 10.1.21-3.mga6
+ Revision: 1085780
- implement changes to mysqld service from Arne Spiegelhauer to make it work again

* Sun Jan 29 2017 luigiwalser <luigiwalser> 10.1.21-2.mga6
+ Revision: 1084070
- remove errno patch also removed by fedora

* Wed Jan 18 2017 luigiwalser <luigiwalser> 10.1.21-1.mga6
+ Revision: 1082414
- 10.1.21

* Fri Dec 16 2016 luigiwalser <luigiwalser> 10.1.20-1.mga6
+ Revision: 1075609
- 10.1.20

* Tue Nov 08 2016 luigiwalser <luigiwalser> 10.1.19-1.mga6
+ Revision: 1065825
- 10.1.19

* Fri Sep 30 2016 luigiwalser <luigiwalser> 10.1.18-1.mga6
+ Revision: 1057932
- 10.1.18

* Tue Aug 30 2016 luigiwalser <luigiwalser> 10.1.17-1.mga6
+ Revision: 1049566
- 10.1.17

* Wed Jul 20 2016 luigiwalser <luigiwalser> 10.1.16-1.mga6
+ Revision: 1042809
- 10.1.16

* Sat May 14 2016 shlomif <shlomif> 10.1.14-2.mga6
+ Revision: 1015303
- Rebuild for the new UCI (new major)

* Wed May 11 2016 luigiwalser <luigiwalser> 10.1.14-1.mga6
+ Revision: 1013305
- 10.1.14

* Mon Mar 28 2016 luigiwalser <luigiwalser> 10.1.13-1.mga6
+ Revision: 996000
- 10.1.13

* Wed Mar 16 2016 wally <wally> 10.1.12-3.mga6
+ Revision: 992094
- rediff errno.patch to apply with --fuzz=0

* Wed Mar 02 2016 umeabot <umeabot> 10.1.12-2.mga6
+ Revision: 983649
- Rebuild for openssl

* Sat Feb 27 2016 oden <oden> 10.1.12-1.mga6
+ Revision: 979966
- 10.1.12

* Tue Feb 02 2016 luigiwalser <luigiwalser> 10.1.11-1.mga6
+ Revision: 931888
- 10.1.11

* Mon Dec 28 2015 oden <oden> 10.1.10-1.mga6
+ Revision: 916363
- cleanup installed systemd service files
- disable oqgraph for now (#17395)
- 10.1.10
- adjust to the ever changing cmake crap to mimic previous behaviour, hence the multitude of "-DPLUGIN_*"
- fix deps
+ luigiwalser <luigiwalser>
- 10.0.23

* Thu Nov 19 2015 daviddavid <daviddavid> 10.0.22-2.mga6
+ Revision: 904203
- rebuild for new jemalloc 4.0.4

* Wed Nov 11 2015 tmb <tmb> 10.0.22-1.mga6
+ Revision: 902609
- update to 10.0.22 (maintenance, security fixes)

* Mon Sep 21 2015 blino <blino> 10.0.21-2.mga6
+ Revision: 882033
- do not build Cassandra on ARM/MIPS (requires java, not bootstrapped on these archs)

* Fri Sep 04 2015 luigiwalser <luigiwalser> 10.0.21-1.mga6
+ Revision: 872833
- 10.0.21

* Tue Jul 07 2015 alien <alien> 10.0.20-1.mga6
+ Revision: 852635
- Upgrade to version 10.0.20

* Wed May 13 2015 alien <alien> 10.0.19-1.mga5
+ Revision: 821980
- Update to version 10.0.19

* Tue Mar 31 2015 alien <alien> 10.0.17-1.mga5
+ Revision: 819472
- Update to 10.0.17

* Sun Feb 01 2015 alien <alien> 10.0.16-1.mga5
+ Revision: 812942
- Update to version 10.0.16
- remove unecessary config files for client plugins

* Mon Dec 22 2014 alien <alien> 10.0.15-2.mga5
+ Revision: 804872
- dialog and mysql_clear_password are client libraries
- client libraries are not loaded with the server
- recommend feedback

* Thu Nov 27 2014 oden <oden> 10.0.15-1.mga5
+ Revision: 799480
- fix typo
- added the new mroonga storage engine
- 10.0.15 (fixes CVE-2014-6507, CVE-2014-6491, CVE-2014-6500, CVE-2014-6469, CVE-2014-6555, CVE-2014-6559, CVE-2014-6494, CVE-2014-6496, CVE-2014-6464)

* Tue Nov 25 2014 blino <blino> 10.0.14-4.mga5
+ Revision: 798859
- embedded-devel package should conflict with older bench package
  (because of duplicate binaries in the older bench package)

* Sun Nov 16 2014 blino <blino> 10.0.14-3.mga5
+ Revision: 797396
- remove test_embedded binaries from bench package to avoid conflicts on
  update, they are already provided in the embedded-devel package

* Wed Oct 15 2014 umeabot <umeabot> 10.0.14-2.mga5
+ Revision: 749546
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 alien <alien> 10.0.14-1.mga5
+ Revision: 736964
- Update to version 10.0.14

* Sat Sep 27 2014 tv <tv> 10.0.13-3.mga5
+ Revision: 727156
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 10.0.13-2.mga5
+ Revision: 682170
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Tue Aug 12 2014 oden <oden> 10.0.13-1.mga5
+ Revision: 661955
- 10.0.13

* Thu Jul 10 2014 blino <blino> 10.0.12-3.mga5
+ Revision: 650998
- move gcc options in env variables instead of cmake options to keep optflags, workaround for MDEV-6360 continued (mga#13561)

* Wed Jul 09 2014 alien <alien> 10.0.12-2.mga5
+ Revision: 650948
- Workaround for MDEV-6360 (mga#13561)

* Mon Jun 16 2014 oden <oden> 10.0.12-1.mga5
+ Revision: 637582
- 10.0.12
- drop p121, it's fixed upstream

* Tue May 13 2014 oden <oden> 10.0.11-1.mga5
+ Revision: 622445
- 10.0.11
- added the server_audit config

* Mon Mar 31 2014 oden <oden> 10.0.10-1.mga5
+ Revision: 610879
- 10.0.10

* Thu Mar 27 2014 oden <oden> 10.0.9-0.2.mga5
+ Revision: 608987
- duh...
- add errmsg.sys in the mariadb-embedded package to make maxscale happy
- install one missing header file

* Mon Mar 10 2014 oden <oden> 10.0.9-0.1.mga5
+ Revision: 601829
- ha_xtradb is statically compiled into the server now, which brought back ha_innodb
- 10.0.9
- P4: drop, fixed upstream
- P122: drop, fixed with MDEV-5620

* Tue Mar 04 2014 oden <oden> 10.0.8-0.1.mga5
+ Revision: 599466
- P122: use system pcre (#12665)
- make xtradb a dynamically loadable storage engine again (my bad)
- suggest sphinx for the sphinx storage engine
+ alien <alien>
- ExecStartPre needs to run privileged

* Mon Feb 10 2014 oden <oden> 10.0.8-0.0.mga5
+ Revision: 589108
- sphinx.so is not installed now
- 10.0.8 (Release Candidate)

* Thu Feb 06 2014 oden <oden> 10.0.7-0.1.mga5
+ Revision: 584442
- split
- "plugin-load=" != "plugin-load-add=" :)

* Wed Feb 05 2014 oden <oden> 10.0.7-0.0.mga5
+ Revision: 583355
- add file changes as well
- 10.0.7
- drop mysqld.sysconfig as it's not used
- drop the mariadb-5.5.25-forgotten-files.patch patch because comp_err is not installed and mysqlaccess.conf is not used
- nuke useless perl autodeps
- use system jemalloc libs instead of bundled ones
- add br on judy-devel for oqgraph v3 (and boost-devel)
- add br on thrift-devel for cassandra
- move plugins used for tests to the bench sub package where they belong
- build xtrabd statically as done in 5.5
- activate %%{_sysconfdir}/my.cnf.d but disable plugin-load-add in some config files as it's not incremental

* Tue Feb 04 2014 oden <oden> 5.5.35-1.mga5
+ Revision: 581209
- P133: drop, added upstream
- 5.5.35

* Mon Nov 25 2013 alien <alien> 5.5.34-2.mga4
+ Revision: 553511
- Update to new version
- Remove unneeded patch due to test change
- Add upstream fix for tzinfo location
- Update README

* Sat Oct 19 2013 umeabot <umeabot> 5.5.33a-2.mga4
+ Revision: 535998
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 alien <alien> 5.5.33a-1.mga4
+ Revision: 482934
- Fix boost glibc compilation issue
- New version 5.5.33a

* Tue Sep 17 2013 alien <alien> 5.5.33-1.mga4
+ Revision: 480734
- New version
- Keep TokuDB disabled for now

* Mon Sep 02 2013 alien <alien> 5.5.32-1.mga4
+ Revision: 474507
- fix bison changes (MDEV-4902)
- Use internal boost 1.53
- add extra sphinx plugin
- add forgotten man page
- remove solaris specific files
- New version
+ fwang <fwang>
- rebuild for new boost

* Sat Jun 01 2013 alien <alien> 5.5.31-1.mga4
+ Revision: 434195
- really switch to upstream versioning
- remove initscript
- move new plugin to extra subpackage
+ blino <blino>
- package new query_cache_info plugin
- do not package example auth_0x0100 plugin
- package mysql_performance_tables.sql
- drop merged security patches
- drop merged check-dbname patch
- 5.5.31
- drop versioning patch (fixed upstream)

* Wed Apr 10 2013 ennael <ennael> 5.5.28-13.mga3
+ Revision: 409448
- Rebuild for boost-1.53
+ alien <alien>
- Fix invalid test

* Tue Apr 02 2013 alien <alien> 5.5.28-12.mga3
+ Revision: 407342
- fix join with blob columns

* Sun Mar 24 2013 colin <colin> 5.5.28-11.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Tue Feb 12 2013 alien <alien> 5.5.28-10.mga3
+ Revision: 398168
- remove obsolete patch
- remove unmaintained pbxt
- change build name
- fix EOL of test data file
- change test invocation to do more tests
- remove test that work on a file that's not installed

* Fri Feb 08 2013 alien <alien> 5.5.28-9.mga3
+ Revision: 395509
- really fix mdev382

* Wed Feb 06 2013 alien <alien> 5.5.28-8.mga3
+ Revision: 394775
- fix test for CVE-2012-5615
- remove anonymous user in default installation so that CVE-2012-5615 isn't exploitable anymore
- mariadb-bench package requires mariadb if you want to run all tests

* Thu Jan 31 2013 alien <alien> 5.5.28-7.mga3
+ Revision: 393840
- Fix CVE-2012-5615, CVE-2012-5627, mdev4029, and a buffer overflow

* Wed Jan 23 2013 alien <alien> 5.5.28-6.mga3
+ Revision: 391746
- Fix CVE-2012-5612 no MDL lock for aliasses (mga#8784)

* Sat Jan 12 2013 umeabot <umeabot> 5.5.28-5.mga3
+ Revision: 359414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 alien <alien> 5.5.28-4.mga3
+ Revision: 346325
- removing unneeded patch, which might do harm: https://mariadb.atlassian.net/browse/MDEV-4020

* Thu Nov 29 2012 alien <alien> 5.5.28-3.mga3
+ Revision: 323173
- Fix CVE-2012-5579

* Sun Nov 25 2012 colin <colin> 5.5.28-2.mga3
+ Revision: 321752
- Do not package tmpfiles conf in /etc
- Run systemd-tmpfiles --create on post install
- Do not package the /var/run/mysqld folder

* Thu Nov 15 2012 alien <alien> 5.5.28-1.mga3
+ Revision: 318283
- Update to new version
- Remove upstreamed patches

* Sun Nov 11 2012 spuhler <spuhler> 5.5.25-3.mga3
+ Revision: 317084
- bumped rel in order to make it update from mga2

* Wed Aug 08 2012 alien <alien> 5.5.25-2.mga3
+ Revision: 279954
- Enable auth_pam

* Mon Aug 06 2012 alien <alien> 5.5.25-1.mga3
+ Revision: 279279
- update to 5.5.25 & copy patches from stable release
- Fix restarting after upgrade
+ fwang <fwang>
- update file list
- update file list
- install mysqlaccess
- new version 5.5.24

* Sat Apr 28 2012 tmb <tmb> 5.5.23-4.mga2
+ Revision: 233779
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Apr 25 2012 alien <alien> 5.5.23-3.mga2
+ Revision: 233249
- Missing BR for aio support

* Sat Apr 14 2012 fwang <fwang> 5.5.23-2.mga2
+ Revision: 230765
- bump obsolete version to make it upgrade correctly with upcoming mga1 updates

* Wed Apr 11 2012 alien <alien> 5.5.23-1.mga2
+ Revision: 230286
- Update to final 5.5.23 version
- mysql_plugin is required for some tests
- change default to innodb, in accordance with upstream
- remove more upstreamed patch
- add conflicts so future updates will have optionally dependant packages in a single transaction

* Fri Mar 30 2012 alien <alien> 5.5.22-0.20120329.rc.mga2
+ Revision: 227543
- Update to rc version (5.5.22)
- add a plugin that logs sql errors in a logrotatable file

* Fri Mar 16 2012 alien <alien> 5.5.21-0.20120315.beta.mga2
+ Revision: 223554
- Update to the beta version (5.5.21)
- modify patch for moved file
- remove extraoneous file
- change to primary mirror

* Sun Feb 26 2012 alien <alien> 5.5.20-0.20120226.alpha.mga2
+ Revision: 215169
- Update to new released version 5.5.20-alpha
- Remove upstreamed patches
- Remove ndb* man pages

* Mon Jan 09 2012 alien <alien> 5.5.18-0.bzr3194.20111227.4.mga2
+ Revision: 194264
- Fix strict arch requirements
- Revert previous unnecessary changes to my.cnf
- Make all internal requires and suggests strict arch

* Sun Jan 08 2012 alien <alien> 5.5.18-0.bzr3194.20111227.3.mga2
+ Revision: 193514
- Make sure plugindir is always correct
- Put in a better summary for the virtual package

* Fri Jan 06 2012 alien <alien> 5.5.18-0.bzr3194.20111227.2.mga2
+ Revision: 192691
- Fix FederatedX as Federated replacement in my.cnf
- Fix the virtual mysql-MariaDB package

* Fri Jan 06 2012 alien <alien> 5.5.18-0.bzr3194.20111227.1.mga2
+ Revision: 192139
- Switch Federated to FederatedX storage engine
- Make the root password warning clearer
- add a virtual package so that mysql can be searched
- use static bundled readline5
- remove patches fixed by upstream
- Move mysqlservices static library to mariadb-devel and obsolete it
- mysqlservices library is now static only
- Update to new bzr revision
- Remove upstream applied patch
- Update to newer revision
- Split off obsolete packages
- Split off extra packages
- Split off feedback storage engine
- Remove upstreamed patches
- Fix typeinfo of the handler class for rtti build in oqgraph storage engine

* Thu Dec 22 2011 alien <alien> 5.5.18-0.bzr3169.20111216.5.mga2
+ Revision: 186212
- Install mysql DB at startup with systemd (bug #3797)

* Thu Dec 22 2011 alien <alien> 5.5.18-0.bzr3169.20111216.4.mga2
+ Revision: 185596
- fix libmysqld.so.0 provide
- clarify README.install.urpmi
- fix #3804

* Sat Dec 17 2011 alien <alien> 5.5.18-0.bzr3169.20111216.3.mga2
+ Revision: 183054
- Don't put mklibname directly in requires/provides/obsoletes

* Sat Dec 17 2011 alien <alien> 5.5.18-0.bzr3169.20111216.2.mga2
+ Revision: 183005
- Restore mklibname macro
- Fix wrong obsolete
- Restore removed provides

* Sat Dec 17 2011 fwang <fwang> 5.5.18-0.bzr3169.20111216.1.mga2
+ Revision: 182925
- fix wrong use of mklibname
- add more compat name for mysql
- use macro rather than hardcoded distro name

* Sat Dec 17 2011 alien <alien> 5.5.18-0.bzr3169.20111216.mga2
+ Revision: 182898
- Fix oqgraph typecast
- Obsoleting mysql
- Adapting for correct embedded versioning
- Provide feedback storage engine
- Don't install extra unwanted progs/files (recommended from upstream)
- Clean up patches
- Removed link from source, since this is an as of yet unreleased version
- Update tarball to newer bzr version
- my.cnf doesn't have correct log-error setting
- Fix invalid conflicts

* Sat Nov 19 2011 alien <alien> 5.5.15-0.4.mga2
+ Revision: 169072
+ rebuild (emptylog)

* Fri Nov 18 2011 alien <alien> 5.5.15-0.3.mga2
+ Revision: 169019
- update initscript patch to fix warning in /etc/init.d/mysqld

* Thu Nov 17 2011 alien <alien> 5.5.15-0.2.mga2
+ Revision: 168629
- fix missing PBXT storage

* Thu Nov 10 2011 alien <alien> 5.5.15-0.mga2
+ Revision: 166362
- imported package mariadb (based on mysql)

